# chanjet-env-check `v0.0.7`

环境检测对象,在运行环境初始化的时候,对运行环境进行判断,将判断结果保存,为后续使用提供方便.



## 使用

#### 安装

``` 
npm install chanjet-env-check
```

使用npm安装.



#### 启动

在应用初始化时,添加以下代码,就可以使用了.

``` javascript
import env from "chanjet-env-check"

//获取当前的操作系统: ios , android , mobile , computer
console.log(env.os);
//获取当前浏览器: chrome , firefox , safari , opera , unknown
console.log(env.browser);
//获取当前平台: weixin , chanjet , browser
console.log(env.platform);
```



如果需要进行判断,推荐使用以下用法:

``` javascript
import env from "chanjet-env-check"


/*
*使用envInstance.constant可以避免在代码里写入死值.
*/

//判断如果操作系统是苹果
if(env.constant.os.ios == env.os){
  //insert code here
}

//判断如果平台是微信
if(env.constant.platform.weixin == env.platform){
  //insert code here
}

//判断如果浏览器是chrome
if(env.constant.browser.chrome == env.browser){
  //insert code here
}
```